import Vue from 'vue'
import App from './App'
import  all  from 'vue-client/src/all'
import systemphonegrid from './systemphonegrid'
// import { telephoneAndroid } from 'telephone-clients'
// import systemphone from './systemphone'
import * as echarts from 'echarts'

all()
systemphonegrid()
// telephoneAndroid()
// systemphone()
require('./android-bootstrap/less/bootstrap.less')
require('./expandcssAndroid.less')
// require('./assets/fonttype/fontAndroid.less')

Vue.config.silent = true
Vue.android = false
Vue.$echarts = echarts
if (Vue.android) {
    // 取数据的url android
    // Vue.dataUrl = 'http://192.168.50.220:8300/'
    Vue.dataUrl = 'http://aotesoft.f3322.net:8300/'
    // pc上使用
} else {
    // Vue.dataUrl = ''
    // 设置android测试内容
    Object.assign(Vue.androidUtil, {
        isAndroid:false,
        // 设置为pc端测试方式
        isTest: false
    })
}

new Vue({
  el: 'body',
  components: { App }
})
